=== debian/changelog ===
ros-foxy-dynamixel-hardware-interface (0.0.3-1focal) focal; urgency=high

  * Merge pull request #12 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/12> from OUXT-Polaris/fix/depends
    add boost to the depends
  * add boost to the depends
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Tue, 15 Jun 2021 15:00:00 -0000

ros-foxy-dynamixel-hardware-interface (0.0.1-1focal) focal; urgency=high

  * add realtime_tools to the depends
  * enable publish diag topic
  * add interface
  * enable parse params
  * add diagnostic updator
  * fix plugin setting
  * modifu cmakelist
  * modify configuration
  * add implementation of each function
  * add class definition
  * add source
  * Merge pull request #9 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/9> from OUXT-Polaris/feature/tempelature_interface
    Feature/tempelature interface
  * add tempelature interface
  * enable update temperature
  * remove unused lines
  * move some function
  * Merge pull request #8 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/8> from OUXT-Polaris/feature/velocity_interface
    Feature/velocity interface
  * apply reformat
  * modify controller
  * add interfaces
  * apply reformat
  * add exception
  * Merge pull request #7 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/7> from OUXT-Polaris/doc/readme
    add dos
  * add dos
  * Merge pull request #6 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/6> from OUXT-Polaris/feature/publish_joint_angle
    Feature/publish joint angle
  * Merge branch 'master' of https://github.com/OUXT-Polaris/dynamixel_hardware_interface into feature/publish_joint_angle
  * enable return toruqeEnable result
  * Merge pull request #5 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/5> from OUXT-Polaris/fix/document_generator_python_version
    update python version
  * update python version
  * Merge pull request #4 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/4> from OUXT-Polaris/feature/wx540-t260
    enable run torque enable while configure
  * apply reformat
  * enable run torque enable while configure
  * Merge pull request #3 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/3> from OUXT-Polaris/feature/wx540-t260
    Feature/wx540 t260
  * apply reformat
  * enable update goal position
  * update function order
  * update radianToPOsition functions
  * apply reformat
  * enable override function
  * fix byte size
  * add PacketByteSize field
  * add address class
  * enable get position from dynamixel
  * add error message
  * Merge pull request #2 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/2> from OUXT-Polaris/feature/document_generation
    Feature/document generation
  * update documentation
  * add description to the header file
  * change directory
  * apply reformat
  * add coments
  * update workflow
  * update workfloe
  * update workflow
  * add workflow
  * add new workflow
  * Merge pull request #1 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/1> from OUXT-Polaris/workflow/foxy
    update CI workflow for foxy
  * applu reformat
  * Merge branch 'master' of https://github.com/OUXT-Polaris/dynamixel_hardware_interface into workflow/foxy
  * use clang-format
  * add licence file
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * chenge methods as virtual
  * add new rviz
  * rename launch
  * enable update joint states
  * add dummy mode
  * remove unused urdf
  * implement read function
  * apply reformat
  * apply reformat
  * apply reformat
  * comment out controllers
  * configure interface
  * rename morter
  * add launch files
  * enable error output
  * apply reformat
  * rename function
  * enable get command interfaces
  * add updateJointPosition function
  * implement export_state_interface function
  * add setGoalPosition function
  * enable torque
  * enable construct motor instance
  * add include gurad
  * update .gitignore
  * add interface class
  * initial commit
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- masaya <ms.kataoka@gmail.com>  Sat, 12 Jun 2021 15:00:00 -0000
