=== debian/control ===
Source: ros-foxy-dynamixel-hardware-interface
Section: misc
Priority: optional
Maintainer: masaya <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format, ros-foxy-ament-cmake-copyright, ros-foxy-ament-cmake-flake8, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-lint-cmake, ros-foxy-ament-cmake-pep257, ros-foxy-ament-cmake-xmllint, ros-foxy-ament-lint-auto, ros-foxy-controller-interface, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-dynamixel-sdk, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-realtime-tools, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-dynamixel-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-controller-interface, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-dynamixel-sdk, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-realtime-tools, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Hardware Interface and controllers for dynamixel motors
